## org.eclipse.datatools.sqltools.debugger.launching
Class SPDebuggerLaunchConfigurationDelegate

    java.lang.Object
      org.eclipse.datatools.sqltools.debugger.launching.SPDebuggerLaunchConfigurationDelegate

All Implemented Interfaces:
  org.eclipse.debug.core.model.ILaunchConfigurationDelegate

    public class SPDebuggerLaunchConfigurationDelegate

extends java.lang.Object
implements org.eclipse.debug.core.model.ILaunchConfigurationDelegate

This launch configuration delegate handles the routine debug launch mode.

Author:
  Hui Cao

Constructor Summary
`SPDebuggerLaunchConfigurationDelegate()`

Method Summary
`org.eclipse.debug.core.model.IPersistableSourceLocator` `getSourceLocator(org.eclipse.debug.core.ILaunchConfiguration configuration)`
`void` `launch_debug(org.eclipse.debug.core.ILaunchConfiguration configuration, java.lang.String mode, org.eclipse.debug.core.ILaunch launch, org.eclipse.core.runtime.IProgressMonitor monitor)` Launches the configuration.
`void` `launch(org.eclipse.debug.core.ILaunchConfiguration configuration, java.lang.String mode, org.eclipse.debug.core.ILaunch launch, org.eclipse.core.runtime.IProgressMonitor monitor)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPDebuggerLaunchConfigurationDelegate

    public SPDebuggerLaunchConfigurationDelegate()

Method Detail

### launch_debug

    public void launch_debug(org.eclipse.debug.core.ILaunchConfiguration configuration,
                             java.lang.String mode,
                             org.eclipse.debug.core.ILaunch launch,
                             org.eclipse.core.runtime.IProgressMonitor monitor)
                      throws org.eclipse.core.runtime.CoreException

  Launches the configuration.

  Throws:
    `org.eclipse.core.runtime.CoreException`

### launch

    public void launch(org.eclipse.debug.core.ILaunchConfiguration configuration,
                       java.lang.String mode,
                       org.eclipse.debug.core.ILaunch launch,
                       org.eclipse.core.runtime.IProgressMonitor monitor)
                throws org.eclipse.core.runtime.CoreException

  Specified by:
    `launch` in interface `org.eclipse.debug.core.model.ILaunchConfigurationDelegate`
  Throws:
    `org.eclipse.core.runtime.CoreException`

### getSourceLocator

    public org.eclipse.debug.core.model.IPersistableSourceLocator getSourceLocator(org.eclipse.debug.core.ILaunchConfiguration configuration)
                                                                            throws org.eclipse.core.runtime.CoreException

  Throws:
    `org.eclipse.core.runtime.CoreException`